/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.common.saas.db.TenantEntityService;
import net.northking.cctp.scriptcase.db.dao.AtuElementInfoDao;
import net.northking.cctp.scriptcase.db.entity.AtuElementInfo;
import net.northking.cctp.scriptcase.db.service.AtuElementInfoService;
import net.northking.cctp.scriptcase.dto.elementLibrary.AtuElementInfoDetailDto;
import net.northking.cctp.scriptcase.dto.elementLibrary.AtuElementInfoQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 元素信息管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-04 09:57:41  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuElementInfoServiceImpl")
public class AtuElementInfoServiceImpl extends TenantEntityService<AtuElementInfo> implements AtuElementInfoService
{
private static final Logger logger = LoggerFactory.getLogger(AtuElementInfoServiceImpl.class);

  private final AtuElementInfoDao atuElementInfoDao;

  public AtuElementInfoServiceImpl(AtuElementInfoDao atuElementInfoDao) {this.atuElementInfoDao = atuElementInfoDao;}

  public BasicDao<AtuElementInfo> getDao() {return atuElementInfoDao;}

  public AtuElementInfo createEntity() { return new AtuElementInfo();}





  @Override
  public List<AtuElementInfo> queryByIds(List<String> elementIds) {
    return atuElementInfoDao.queryByIds(elementIds);
  }

  @Override
  public int deleteElementBatch(AtuElementInfo elementInfo, List<String> elementIds) {
    return atuElementInfoDao.deleteElementBatch(elementInfo, elementIds);
  }

  @Override
  public List<AtuElementInfoDetailDto> queryElementList(QueryByPage<AtuElementInfoQueryDto> queryByPage) {
    return atuElementInfoDao.queryElementList(queryByPage);
  }

    @Override
    public List<String> selectCreatorByProject(String projectId) {
      return atuElementInfoDao.selectCreatorByProject(projectId);
    }

    @Override
    public List<String> selectUpdaterByProject(String projectId) {
      return atuElementInfoDao.selectUpdaterByProject(projectId);
    }
}

